#include <bits/stdc++.h>
using namespace std;

int main(){
ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
long long n; cin >> n;
for ( int i = 0; i < n; i++ ){
int xi, yi; cin >> xi >> yi;
}
if ( n < 4 ){
    cout << 0;
}
else{
    cout << 1;
}

return 0;
}